slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetType

Selects the particular solver to be used in the EPS object.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetType(EPS eps,EPSType type)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| type | - a known method

### Options Database Key

| -eps_type <method> | - Sets the method; use -help for a list of available methods

### Notes

See "slepc/include/slepceps.h" for available methods. The default is EPSKRYLOVSCHUR.

Normally, it is best to use the EPSSetFromOptions() command and then set the EPS type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the different available methods. The EPSSetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database.

### See Also

STSetType(), EPSType

### Level

intermediate

### Location

src/eps/interface/epsbasic.c

### Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex34.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages